// +build windows

package utils

func Major(device uint64) uint64 {
	return (device >> 8) & 0xfff
}

func Minor(device uint64) uint64 {
	return (device & 0xff) | ((device >> 12) & 0xfff00)
}

func Mkdev(major, minor uint32) uint64 {
	return uint64((major << 24) | minor)
}
